View Issue Details

IDProjectCategoryView StatusLast Update
0021113mantisbtplug-inspublic2019-04-07 12:29
Reporteratrol Assigned Tosyncguru  
PrioritynormalSeverityminorReproducibilityhave not tried
Status assignedResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0021113: EVENT_LAYOUT_PAGE_HEADER no longer available
Description

function html_top_banner is no longer called in current code, so plugins will not be able to hook event EVENT_LAYOUT_PAGE_HEADER

Tagsmodern-ui

Relationships

related to 0022117 closedatrol Neither top_include_page not bottom_include_page used in v2.0 
related to 0022098 assignedsyncguru Setting bottom_include_page does not include specified file 
related to 0023032 new Mantis Logo not showing on 2.5.0 
related to 0023210 assignedcproensa Customization of navbar 

Activities

dregad

dregad

2016-06-15 07:17

developer   ~0053381

And also the custom header ($g_top_include_page) will no longer be displayed

syncguru

syncguru

2016-08-17 23:25

developer   ~0053843

PR: https://github.com/mantisbt/mantisbt/pull/860

cas

cas

2017-02-07 10:45

reporter   ~0055545

yep, a lot of work for us, plugin creators.....

Xenos

Xenos

2017-04-15 06:29

reporter   ~0056559

Is there an alternative event to use in place of EVENT_LAYOUT_PAGE_HEADER ?

SteveA

SteveA

2017-07-23 12:26

reporter   ~0057301

Any progress on this.

The fix for the missing $g_bottom_include_page and $g_bottom_include_page $g_top_include_page ( bug 22098 ) is to use a plugin but that wont work because EVENT_LAYOUT_PAGE_HEADER isn't implemented any more.

Xenos

Xenos

2017-07-24 08:11

reporter   ~0057313

Using the plugin-code I've shown on 0022098 you may insert a javascript in the meta section, and add any HTML element you want anywhere you want in that javascript. Either use a defer="defer" attribute on the script node, or a window.addEventListener('DOMContentLoaded', function () { ... }) in the script itself to trigger your node insertion after the page loading.

SteveA

SteveA

2018-06-17 06:30

reporter   ~0060096

Using Javascript to fix this missing functionality isn't a solution

Do we know when this problem is going to be addressed?

SteveA

SteveA

2018-09-01 12:09

reporter   ~0060583

Is there a planned fix date for this?

Last update was in February when the version was pushed out beyond 2.12.0

estomagado

estomagado

2019-02-08 17:12

reporter   ~0061456

Will this be fixed?

Because according to this CLOSED pull request,

https://github.com/mantisbt/mantisbt/pull/860

this will never be fixed, so I think this bug should be at least closed. People is always landing on this bug and incorrectly assuming this will be fixed someday because the bug is still open.

estomagado

estomagado

2019-02-08 17:17

reporter   ~0061457

Also, Corporate Branding policies in many companies (mine included) enforce some level of local branding on all internal systems, so we need some sort of customisation features for that. g_window_title (which still works) is not enough.

cas

cas

2019-02-09 04:21

reporter   ~0061459

So add it yourself, is a one off task (for each new release) and pretty simple.

Issue History

Date Modified Username Field Change
2016-06-15 06:03 atrol New Issue
2016-06-15 07:17 dregad Note Added: 0053381
2016-07-19 04:21 vboctor Target Version 2.0.0-beta.1 => 2.0.0-beta.2
2016-07-20 21:05 vboctor Tag Attached: modern-ui
2016-08-17 23:25 syncguru Note Added: 0053843
2016-08-17 23:25 syncguru Assigned To => syncguru
2016-08-17 23:25 syncguru Status new => assigned
2016-08-28 10:36 atrol Target Version 2.0.0-beta.2 => 2.0.0-beta.3
2016-10-02 19:35 atrol Target Version 2.0.0-beta.3 => 2.0.0-rc.1
2016-10-30 23:23 vboctor Target Version 2.0.0-rc.1 => 2.0.0-rc.2
2016-11-27 08:20 dregad Target Version 2.0.0-rc.2 => 2.0.0
2016-12-30 15:56 vboctor Target Version 2.0.0 => 2.0.1
2017-01-05 11:10 atrol Relationship added related to 0022117
2017-02-01 22:49 vboctor Target Version 2.0.1 => 2.2.0
2017-02-07 10:45 cas Note Added: 0055545
2017-02-26 21:19 vboctor Target Version 2.2.0 => 2.3.0
2017-04-01 00:20 vboctor Target Version 2.3.0 => 2.4.0
2017-04-15 06:29 Xenos Note Added: 0056559
2017-04-17 17:22 cproensa Relationship added related to 0022098
2017-04-30 14:53 vboctoradmin Target Version 2.4.0 => 2.5.0
2017-06-04 16:19 atrol Target Version 2.5.0 => 2.6.0
2017-06-19 11:28 atrol Relationship added related to 0023032
2017-07-23 12:26 SteveA Note Added: 0057301
2017-07-24 08:11 Xenos Note Added: 0057313
2017-08-10 18:44 cproensa Relationship added related to 0023210
2017-09-03 18:49 vboctor Target Version 2.6.0 => 2.7.0
2017-10-08 23:56 vboctor Target Version 2.7.0 => 2.8.0
2017-10-28 19:14 vboctor Target Version 2.8.0 => 2.9.0
2017-12-04 02:26 vboctor Target Version 2.9.0 => 2.10.0
2017-12-30 18:39 vboctor Target Version 2.10.0 => 2.11.0
2018-02-06 21:22 vboctor Target Version 2.11.0 => 2.12.0
2018-02-07 02:41 vboctor Target Version 2.12.0 =>
2018-06-17 06:30 SteveA Note Added: 0060096
2018-09-01 12:09 SteveA Note Added: 0060583
2019-02-08 17:12 estomagado Note Added: 0061456
2019-02-08 17:17 estomagado Note Added: 0061457
2019-02-09 04:21 cas Note Added: 0061459